//
//  AboutView.m
//  BBSApp
//
//  Created by Kiwoon Sung on 7/28/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import "AboutView.h"


@implementation AboutView


@synthesize viewController;

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {
		// Initialization code
        viewController = nil;
        self.backgroundColor = [UIColor whiteColor];

//        [self setDelegate:self];
//        [self setScrollEnabled:YES];
//        [self showsVerticalScrollIndicator];
//        [self setFrame:frame];
//        [self setUserInteractionEnabled:YES];
//
	}
	return self;
}

- (void)loadView {
    NSLog(@"AboutView: loadView");
}


- (BOOL)canBecomeFirstResponder {
    return YES;
}


- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
    NSLog(@"AboutView: touchesBegan");
}



- (void)drawRect:(CGRect)rect {
    NSString *itemNameFakeString = @"bulletin board system";
    //CGFloat lastHeight;
	// Drawing code
    
    // Testing: draw the string
    UIFont *font = [UIFont boldSystemFontOfSize:13];

    
    CGSize stringSize = [itemNameFakeString sizeWithFont:font];
//    [itemNameFakeString sizeWithFont:font forWidth:200.0 lineBreakMode:UILineBreakModeWordWrap];
//
//    CGPoint point = CGPointMake(0.0, 0.0);

//    CGSize drawnStringSize = [itemNameFakeString drawAtPoint:point forWidth:200.0 withFont:font lineBreakMode:UILineBreakModeWordWrap];

//    NSLog(@"stringSize.width = %f", drawnStringSize.width);
//    NSLog(@"stringSize.height = %f", drawnStringSize.height);

    CGRect rectAt1 = CGRectMake(0.0, 0.0, 250.0, stringSize.height * 3);
    NSLog(@"stringSize.height X 3 = %f", stringSize.height * 3);
    
    CGSize drawnStringSize = [itemNameFakeString drawInRect:rectAt1 withFont:font lineBreakMode:UILineBreakModeWordWrap];
    NSLog(@"drawnStringSize = %f", drawnStringSize.height);
    if (drawnStringSize.height < stringSize.height) {
        // find the new location since the view is smaller than expacted
        // Or, just overlap the view by using drawnStringSize.height as the added height
    }
    else {
        
    }
    
    CGRect rectAt2 = CGRectMake(0.0, drawnStringSize.height, 250.0, stringSize.height *3);
    drawnStringSize = [@"New String Begins Here" drawInRect:rectAt2 withFont:font lineBreakMode:UILineBreakModeWordWrap];
    NSLog(@"drawnStringSize = %f", drawnStringSize.height);
    
//    lastHeight = stringSize.height * 3;
    /*
    CGRect rectAt2 = CGRectMake(0.0, lastHeight, 250.0, lastHeight + stringSize.height *3);
    [itemNameFakeString drawInRect:rectAt2 withFont:font lineBreakMode:UILineBreakModeWordWrap];
    lastHeight = lastHeight + stringSize.height * 3;
    
    CGRect rectAt3 = CGRectMake(0.0, lastHeight, 250.0, lastHeight + stringSize.height *3);
    [itemNameFakeString drawInRect:rectAt3 withFont:font lineBreakMode:UILineBreakModeWordWrap];
    lastHeight = lastHeight + stringSize.height * 3;*/
    
     
    // Try UILabel
//    CGSize stringSize = [itemNameFakeString sizeWithFont:font];
    
    UILabel *labelTest = [[UILabel alloc] initWithFrame:rect];
    [labelTest setAutoresizingMask:UIViewAutoresizingFlexibleHeight];
    [labelTest setBackgroundColor:[UIColor whiteColor]];
    [labelTest setTextAlignment:UITextAlignmentLeft];
    [labelTest setBaselineAdjustment:UIBaselineAdjustmentAlignBaselines];
    [labelTest setText:itemNameFakeString];
//    [labelTest setNumberOfLines:3];
    [labelTest sizeToFit];
    
    NSInteger temp = [labelTest numberOfLines];
    NSLog(@"%d", temp);
    //[labelTest drawRect:rect];

}


- (void)dealloc {
    [viewController release];
    
	[super dealloc];
}


@end
