//
//  HTTPLauncher.h
//  BBSApp
//
//  Created by Kiwoon Sung on 8/5/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface HTTPLauncher : NSObject {
    BOOL didLaunchHTTPDaemon;
    NSString *portString;
}

@property (nonatomic, retain) NSString *portString;

- (id) initWithPort:(NSString *)newPortString;

- (void)runHTTPService:(id)sender;
- (void)launchHTTPDaemon;
static void signal_handler(int sig_num);

@end
