/*
 *  ItemDataSourceProtocol.h
 *  BBSApp
 *
 *  Created by Kiwoon Sung on 7/29/08.
 *  Copyright 2008 Columbia University. All rights reserved.
 *
 */


#import "Item.h"

@protocol ItemDataSource <NSObject>

@required


@property (readonly) NSString *itemName;
@property (readonly) NSString *fileName;
@property (readonly) NSString *shortDescription;
@property (readonly) NSURL *URL;
@property (readonly) NSMutableArray *fields;


@end
