//
//  ItemInformation.m
//  BBSApp
//
//  Created by Kiwoon Sung on 7/27/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import "ItemInformation.h"


@implementation ItemInformation

@synthesize fileName = _fileName;
@synthesize itemName = _itemName;
@synthesize shortDescription = _shortDescription;
@synthesize sharingStatus;
@synthesize itemUUID = _itemUUID;
@synthesize lastModified = _lastModified;
@synthesize authorID = _authorID;
@synthesize netService = _netService;
@synthesize tagString = _tagString;


- (id) init
{
    self = [super init];
    if (self != nil) {
        self.fileName = @"";
        self.itemName = @"No name";
        self.shortDescription = @"No description";
        self.sharingStatus = kItemSharingDraft;
        self.itemUUID = @"";
        self.lastModified = @"";
        self.authorID = @"";
        self.netService = nil;
        self.tagString = @"";
    }
    return self;
}


@end
