//
//  ItemView.h
//  BBSApp
//
//  Created by Kiwoon Sung on 7/29/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

// CHANGELOG: This view has been replaced by UIWebView in ItemViewController class

#import <UIKit/UIKit.h>

@class ItemViewController;
@class Item;

@interface ItemView : UIView {
    NSString *m_itemName;
    NSString *m_shortDescription;
    NSString *m_URL;
    NSArray *m_fields;
    
    ItemViewController *viewController;

}

//@property (nonatomic, retain) Item *itemObject;
@property (nonatomic, retain) ItemViewController *viewController;

@property (nonatomic, retain) NSString *itemName;
@property (nonatomic, retain) NSString *shortDescription;
@property (nonatomic, retain) NSString *_URL;
@property (nonatomic, retain) NSArray *fields;

- (id)initWithFrameAndItem:(CGRect)frame itemObject:(Item *)itemObject;

@end
