//
//  ServerInformationHandler.h
//  BBSApp
//
//  Created by Kiwoon Sung on 7/28/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface ServerInformationHandler : NSObject {
    NSString *m_defaultRepositoryName;
    NSString *m_serverIPv4Address;
    NSString *m_serverListeningPort;
}

@property (nonatomic, retain) NSString *defaultRepositoryName;
@property (nonatomic, retain) NSString *serverIPv4Address;
@property (nonatomic, retain) NSString *serverListeningPort;

- (NSString *)getRepositoryName;
- (NSString *)getServerIPv4Address;
- (NSString *)getServerListeningPort;

@end
