//
//  ServiceInformationTableViewCell.h
//  BBSApp
//
//  Created by Kiwoon Sung on 8/3/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ServiceInformation.h"

@interface ServiceInformationTableViewCell : UITableViewCell {
//    NSNetService *_netService; // replaced with service information class
    ServiceInformation *_serviceInformation;
    
    UILabel *_registeredNameLabel;
    UILabel *_connectionInformationLabel;
    UILabel *_itemCountLabel;
}

@property (nonatomic, retain) ServiceInformation *serviceInformation;
@property (nonatomic, retain) UILabel *registeredNameLabel;
@property (nonatomic, retain) UILabel *connectionInformationLabel;
@property (nonatomic, retain) UILabel *itemCountLabel;

- (ServiceInformation *)getServiceInformation;
- (void)set:(ServiceInformation *)newServiceInformation;
    
@end
