//
//  CovertView.h
//  BBSApp
//
//  Created by Kiwoon Sung on 8/7/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>

@class CovertViewController;

@interface CovertView : UIView {
    CovertViewController *viewController;

	UIButton	*imageButton;
}

@property (nonatomic, retain) CovertViewController *viewController;

- (void)createImageButton;
- (void)action:(id)sender;

- (UIButton *)buttonWithTitle:	(NSString *)title
                       target:(id)target
                     selector:(SEL)selector
                        frame:(CGRect)frame
                        image:(UIImage *)image
                 imagePressed:(UIImage *)imagePressed
                darkTextColor:(BOOL)darkTextColor;

@end
