//
//  ItemInformationTableViewCell.h
//  BBSApp
//
//  Created by Kiwoon Sung on 7/27/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ItemInformation.h"

@interface ItemInformationTableViewCell : UITableViewCell {
    NSString *itemName;
    NSString *shortDescription;
    
    ItemInformation *_itemInformation;
    
    UILabel *_itemNameLabel;
    UILabel *_shortDescriptionLabel;
}

@property (nonatomic, retain) NSString *itemName;
@property (nonatomic, retain) NSString *shortDescription;
@property (nonatomic, retain) UILabel *itemNameLabel;
@property (nonatomic, retain) UILabel *shortDescriptionLabel;

- (ItemInformation *)getItemInformation;
- (void)setItemInformation:(ItemInformation *)newItem;



@end
