//
//  ItemTableViewControllerTest.h
//  BBSApp
//
//  Created by Kiwoon Sung on 8/1/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

// This is the class for testing the view controller with tool bar/scrollview/tableview/navigationbar/TabBar
// /TableHeader/footer altogether in one view controller

#import <UIKit/UIKit.h>

#import "LocalFeedGenerator.h"

@interface ItemTableViewControllerTest : UIViewController <UITableViewDelegate, UITableViewDataSource> {
    NSMutableArray *list;
    
    UIToolbar *toolbar;
    UITableView *tableViewMember; // Don't use "tableView" as the name of the contained table view. It conflicts...
}

@property (nonatomic, retain) NSMutableArray *list;
@property (nonatomic, retain) UITableView *tableViewMember;

- (void)generateTableEntries;
- (void)showTableFooter;
- (void)testGenerateFeed;

@end
