//
//  ServiceInformation.h
//  BBSApp
//
//  Created by Kiwoon Sung on 8/3/08.
//  Copyright 2008 Columbia University. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/NSNetServices.h>

#import "BBSType.h"

@interface ServiceInformation : NSObject {
    NSNetService *_netService;
    NSUInteger itemCount;
    BBSType type;
    
    NSMutableArray *items;
    
    // added TXT record
    NSUInteger count;
}

@property (nonatomic, retain) NSNetService *netService;
@property (nonatomic, retain) NSMutableArray *items;
@property NSUInteger count;

- (id)initWithNetService:(NSNetService *)netService;
- (id)initWithService:(ServiceInformation *)service;
- (NSString *)getServiceName;

@end
